Custom firmware for R7800 to extend its functionality

392 posts / 0 new
Last post
Zeljko1234
Zeljko1234's picture
Again was problem with

Again was problem with ReadyCLOUD :D Thx for fixing it and new fw :)

Voxel
Voxel's picture
Because of strange logic in

Because of strange logic in the stock firmware: one from *.htm has to be executable... 

Zeljko1234
Zeljko1234's picture
Realy weired.

Realy weired.

KillerBee
KillerBee's picture
Hi Voxel,

Hi Voxel,

Total newbie (but read a lot of DD-WRT guides smiley). Is there a way to isolate trafic with your firmware ?

Let's say that I want physical ports 1 and 2 to comunicate between then and also have internet access. They should not connect to physical ports 3 and 4.

I also need that ports 3 and 4 only connect to the internet and not with the other physical ports.

kaktuspalme
kaktuspalme's picture
Hi there

Hi there

First, thx for your firmware, it runs very well on my R7800.

As I read, netgear has it's own firewall. I planned to setup dual wan with load balancing.
It seems like an impossible task with netgear firewall running.

Or do you think this is possible with this build?

Voxel
Voxel's picture
KillerBee:

KillerBee:

I do not think it is possible (traffic isolation). Sorry. At least w/o special development.
 

kaktuspalme:

Netgear firewall - some tricks/hacks are possible. I am not sure, please read my comment re: NG firewall:
 

https://www.snbforums.com/threads/custom-firmware-build-for-r9000-v-1-0-...

it is for R9000, but the same is for R7800:
 

https://github.com/SVoxel/R7800/tree/master/git_home/net-wall.git
Voxel.

Viper
Viper's picture
Voxel, how do I block

Voxel, how do I block facebook in R7800 Voxel buid?

-- Viper

jabrown2999
jabrown2999's picture
In order to install voxel on

In order to install voxel on my R7800 all I have to do is flash the latest fw? I'm new to this and the read me file sounds complicated at steps. If there was an install video on YouTube I'm sure I wouldn't have any questions. My only purpose for this is to increase throughput.

Voxel
Voxel's picture
Viper:

Viper:

You can try to do it from GUI (Netgear declares that it can block domains). But I am not sure it will work for HTTPS bacause this HTTPS traffic is encrypted.

Voxel.

Skornogr4phy
Skornogr4phy's picture
I'm a complete noob, and I

I'm a complete noob, and I just installed it.  All you have to do is unpack the ZIP then flash the fw from the router menu.

 

A question for Voxel, is VLAN ID settings implemented in this firmware at all?  I require it for my ISP settings.

Voxel
Voxel's picture
jabrown2999:

jabrown2999:

You can flash my firmware using the same way as you do that with a stock firmware. There is no any specific. Select the file from you disk by [BROWSE} and flash it. No other manipulations are needed for your purposes. 

Voxel.

Voxel
Voxel's picture
A question for Voxel, is VLAN

A question for Voxel, is VLAN ID settings implemented in this firmware at all?  I require it for my ISP settings.

 

It should be the same as in stock firmware. Try to play with Advanced->Advanced Setup->VLAN/Bridge Settings

Voxel.

Voxel
Voxel's picture
Just FUI:
fra_c
fra_c's picture
Hi,

Hi,

i upgrade mi R7800 to last version Voxel (1.0.2.37SF), i need to encrypt all my internet traffic using IPVanish VPN Proxy so my qustion is: it's possible to connect the router as a client to IPVanish VPN server? In others words it's possible to use VPN Client functionality?

Thanks

Voxel
Voxel's picture
Yes, check this nice article:

Yes, check this nice article:
 

https://www.myopenrouter.com/article/how-set-openvpn-client-netgear-r900...

it is for R9000, but the same is for R7800. Plus check my readme.

Voxel.

raymundo51
raymundo51's picture
Hey Voxel, 

Hey Voxel, 

Firstly, like all others, thanks a lot for your contributions! 

Does your new build (1.0.2.37SF) protect against the new WPA2 vulnerability (Krack attack)? 

Voxel
Voxel's picture
It is OK if you do not use

It is OK if you do not use your router in bridge mode. The same as stock:
 

https://kb.netgear.com/000049498/Security-Advisory-for-WPA-2-Vulnerabili...

Voxel.

gwharrison
gwharrison's picture
Currently got DD-WRT set up

Currently got DD-WRT set up on my R7800, and I've set up OpenVPN client, using IPVanish with Policy Based Routing for a small number of things that don't need to go over VPN.

I've just bought a back up R7800 for redundancy but also to play around with using Voxel (OK, so that was the probably the main reason but I can't risk losing connectivity whilst I play).

If I wanted to set up OpenVPN client, again using IPVanish as my VPN provider, on R7800 wih Voxel installed, do I create the .OPVN file using the settings that I've got in DD-WRT, or do can I simply use the ones that are shown in the article linked above called "How to set up OpenVPN client Netgear r9000?".

Either way, as stated, I've got policy based routing on DD-WRT for some specific devices that don't need to go over VPN..  How does that work with Voxel FW?

gianni_1963
gianni_1963's picture
Hi Voxel,

Hi Voxel,

unfortunately I update your firmware with the official  one V1.0.2.36 (I pushed the button "new firmware available" tinking was your page); what I can do for back to yours ?

Thanks

)

Voxel
Voxel's picture
unfortunately I update your

unfortunately I update your firmware with the official  one V1.0.2.36 (I pushed the button "new firmware available" tinking was your page); what I can do for back to yours ?

 

No problems: Just upgrade to my version manually. I released 1.0.2.38SF today ;-) All your settings should be kept.

Voxel.
 

Voxel
Voxel's picture
New version of my custom
New version of my custom firmware build: 1.0.2.38SF. 

Changes (vs 1.0.2.37SF):

1. OpenVPN is upgraded 2.4.3->2.4.4.
2. minidlna is upgraded 1.2.0->1.2.1.
3. sqlite package is upgraded 3190300->3200100.
4. libxml2 package is upgraded 2.9.5->2.9.6.
5. libubox ackage is upgraded 2017-06-17->2017-09-29.
6. uci package is upgraded 2017-04-12->2017-09-29.
7. util-linux package is upgraded 2.30.1->2.30.2.
8. curl package is upgraded 7.54.1->7.55.1.
9. libsodium package is upgraded 1.0.13->1.0.15.
10. dnscrypt-resolvers.csv is updated.
11. Host tools: mpfr is upgraded.
12. Toolchain: binutils is upgraded to version 2.29.1.
13. Samba user "root" is added (allows mapping drive with root permissions).
14. powerctl init script is changed.
15. Minor bug in dbus is fixed.
16. Experimental: -funsafe-math-optimizations option is added.

 

The link is:

 

https://www.voxel-firmware.com

 

No reset is needed to upgrade from my previous versions.

 

Voxel.

 

 

alex1888
alex1888's picture
I have recently installed V1

I have recently installed V1.0.2.37 because when using netgear firmware i had to reboot my router at least twice a day as i was losing wired connection ( wifi was fine) i thought this woul solve the problem but it has made little difference any advice would be great as im a total newbie 

 

 

 

Voxel
Voxel's picture
I am afraid that it is

I am afraid that it is hardware problem. My router does not require any reboot (no loosing connection). Maybe problems with your ISP? Some guys have several months of uptime using my firmware (w/o reboot, connection is not lost during this time). So you have to contact NETGEAR (replacement of broken unit). I.e. RMA.

BTW, if you tried DD-WRT, you can try first to format overlay partition (revert to stock or my version). Use of DD-WRT could be a problem after revert. Search in this forum hints re: how to format overlay after DD-WRT.

Voxel.

alex1888
alex1888's picture
Thank you Voxel will contact

Thank you Voxel will contact Netgear 

d3n3b
d3n3b's picture
Hello Voxel,

Hello Voxel,

Is there a possibility to downgrade Transmission v2.92+ to v2.92 on already installed firmware build 1.0.2.38SF using telnet?

Thank You

Voxel
Voxel's picture
Rather no. Where from you

Rather no. Where from you could get pre-compiled 2.92? And why 2.92+git is not OK for you?

Voxel.

d3n3b
d3n3b's picture
Thank You for Your answer.

Thank You for Your answer. Sorry if my question was lame but I'am a beginner.

I'm user of private torrent tracker and there is a list of allowed clients:

  • Transmission 1.92
  • Transmission 2.03
  • Transmission 2.04
  • Transmission 2.11
  • Transmission 2.13
  • Transmission 2.22
  • Transmission 2.33
  • Transmission 2.42
  • Transmission 2.52
  • Transmission 2.82
  • Transmission 2.84
  • Transmission 2.84+
  • Transmission 2.92

Unfortunately v 2.92+git is not on the list and it is blocked so far. Is there a chance to get suitable pre-compiled anyone from the list? I thought if package 2.92 is a part of 1.0.2.31SF there will be a quite simple possibility to downgrade it some way on firmware 1.0.2.38SF. But now I conclude that, this is not so easy.

Voxel
Voxel's picture
I can change the version

I can change the version (fake) 2.92+ ---> 2.92.

Try to:

 

1. Download all three files from this link:
 

https://www.voxel-firmware.com/Downloads/Voxel/transmission/

2. Copy them to USB stick and insert it to router (it should be mounted as e.g. /mnt/sda1

3. Enter by telnet to your router console and run

cd /mnt/sda1

/etc/init.d/transmission stop

/bin/opkg --force-reinstall --force-overwrite --force-downgrade install transmission-daemon_2.92-1_ipq806x.ipk transmission-remote_2.92-1_ipq806x.ipk transmission-web_2.92-1_ipq806x.ipk

/etc/init.d/transmission start

and check the version in transmission (About).

Voxel.

d3n3b
d3n3b's picture
Thanks! I think that should

Thanks! I think that should work. Although I'm wondering is it possible to distinguish version of client other way while connected to tracker? Is there any difference in client behavior or sent information between 2.92+ and 2.92 that could betray actual version?

Voxel
Voxel's picture
IMO it is possible to get

IMO it is possible to get your version, but problem that they do not accept 2.92+ is just they are not aware of it.

Voxel.

Pages